aeson-jsonpath-0.3.0.2: Parse and run JSONPath queries on Aeson documents

Copyright | (c) 2024-2025 Taimoor Zaeem
License | MIT
Maintainer | Taimoor Zaeem <mtaimoorzaeem@gmail.com>
Stability | Experimental
Portability | Portable
Safe Haskell | None
Language | Haskell2010

Data.Aeson.JSONPath.Query

Description

This module is responsible for executing the JSONPath query

Synopsis

- qQuery :: Query -> QueryState -> Vector Value
- qQueryLocated :: Query -> QueryState -> String -> Vector (String, Value)

# Documentation

qQuery :: Query -> QueryState -> Vector Value Source #

Runs the JSONPath Query

qQueryLocated :: Query -> QueryState -> String -> Vector (String, Value) Source #

Runs the JSONPath Query also returning node locations